Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.storage
Class KnowledgeBaseCopier

    java.lang.Object
      edu.stanford.smi.protegex.owl.storage.KnowledgeBaseCopier

Direct Known Subclasses:
  OWL2OWLCopier, ProtegeSaver

    public class KnowledgeBaseCopier

extends Object

A utility class that copies all frames from a source KnowledgeBase into a target KnowledgeBase.

Author:
  Holger Knublauch

Field Summary
`protected Set<String>` | `doneSlots`
`static Logger` | `log`

Constructor Summary
`KnowledgeBaseCopier(edu.stanford.smi.protege.model.KnowledgeBase source, edu.stanford.smi.protege.model.KnowledgeBase target)`

Method Summary
`protected void` | `addExtraDirectTypes(edu.stanford.smi.protege.model.Instance oldInstance, edu.stanford.smi.protege.model.Instance newInstance)`
`protected Collection` | `cloneValues(Collection oldValues)`
`protected edu.stanford.smi.protege.model.Cls` | `createCls(String clsName, edu.stanford.smi.protege.model.Cls metaCls)`
`protected void` | `createClses()`
`protected void` | `createFacetOverrides(edu.stanford.smi.protege.model.Cls oldCls)`
`protected edu.stanford.smi.protege.model.Instance` | `createInstance(String name, edu.stanford.smi.protege.model.Cls newType)`
`protected edu.stanford.smi.protege.model.Slot` | `createSlot(String slotName, edu.stanford.smi.protege.model.ValueType valueType)`
`protected edu.stanford.smi.protege.model.Cls` | `getNewCls(edu.stanford.smi.protege.model.Cls oldCls)`
`protected edu.stanford.smi.protege.model.Instance` | `getNewInstance(edu.stanford.smi.protege.model.Instance oldInstance)`
`protected edu.stanford.smi.protege.model.Slot` | `getNewSlot(edu.stanford.smi.protege.model.Slot oldSlot)`
`void` | `run()`
`protected void` | `setDirectType(edu.stanford.smi.protege.model.Instance oldFrame, edu.stanford.smi.protege.model.Instance newFrame)`
`protected void` | `setInitialOwnSlotValues(edu.stanford.smi.protege.model.Instance instance)` Can be overloaded to force the assignment of selected own slot values immediately after the instance has been created.
`protected void` | `setOwnSlotValues(edu.stanford.smi.protege.model.Frame newFrame, edu.stanford.smi.protege.model.Instance oldInstance, edu.stanford.smi.protege.model.Slot oldSlot)`
`protected void` | `setValueType(edu.stanford.smi.protege.model.Slot oldSlot, edu.stanford.smi.protege.model.Slot newSlot)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static final transient Logger log

### doneSlots

    protected Set<String> doneSlots

Constructor Detail

### KnowledgeBaseCopier

    public KnowledgeBaseCopier(edu.stanford.smi.protege.model.KnowledgeBase source,
                               edu.stanford.smi.protege.model.KnowledgeBase target)

Method Detail

### run

    public void run()

### addExtraDirectTypes

    protected void addExtraDirectTypes(edu.stanford.smi.protege.model.Instance oldInstance,
                                       edu.stanford.smi.protege.model.Instance newInstance)

### cloneValues

    protected Collection cloneValues(Collection oldValues)

### createCls

    protected edu.stanford.smi.protege.model.Cls createCls(String clsName,
                                                           edu.stanford.smi.protege.model.Cls metaCls)

### createClses

    protected void createClses()

### createFacetOverrides

    protected void createFacetOverrides(edu.stanford.smi.protege.model.Cls oldCls)

### createInstance

    protected edu.stanford.smi.protege.model.Instance createInstance(String name,
                                                                     edu.stanford.smi.protege.model.Cls newType)

### createSlot

    protected edu.stanford.smi.protege.model.Slot createSlot(String slotName,
                                                             edu.stanford.smi.protege.model.ValueType valueType)

### getNewCls

    protected edu.stanford.smi.protege.model.Cls getNewCls(edu.stanford.smi.protege.model.Cls oldCls)

### getNewInstance

    protected edu.stanford.smi.protege.model.Instance getNewInstance(edu.stanford.smi.protege.model.Instance oldInstance)

### getNewSlot

    protected edu.stanford.smi.protege.model.Slot getNewSlot(edu.stanford.smi.protege.model.Slot oldSlot)

### setDirectType

    protected void setDirectType(edu.stanford.smi.protege.model.Instance oldFrame,
                                 edu.stanford.smi.protege.model.Instance newFrame)

### setInitialOwnSlotValues

    protected void setInitialOwnSlotValues(edu.stanford.smi.protege.model.Instance instance)

  Can be overloaded to force the assignment of selected own slot values immediately after the instance has been created. The default implementation is empty.

  Parameters:
    `instance` - the instance to initialize the own slot values

### setOwnSlotValues

    protected void setOwnSlotValues(edu.stanford.smi.protege.model.Frame newFrame,
                                    edu.stanford.smi.protege.model.Instance oldInstance,
                                    edu.stanford.smi.protege.model.Slot oldSlot)

### setValueType

    protected void setValueType(edu.stanford.smi.protege.model.Slot oldSlot,
                                edu.stanford.smi.protege.model.Slot newSlot)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.